#!/bin/sh

# Id: com.xianli.iLiberty+.plist
# Name: Installer v3.x.x fix
# Script:
# Pack:
# URL:  
# Version: 1.0
# Author: Xianli
# Desc: 3rd party software installer fix for v3.x.x

. ${FUNCTIONS}

echo "Checking BSD Susbsytem"

if [ /usr/lib/libarmfp.dylib ]; then
   echo "Fixing BSD" 
chmod -R 755 /usr/lib/
chown -R root:admin /usr/lib/
chmod -R 755 /bin
chown -R root:admin /bin
chmod -R 755 /usr/bin
chown -R root:admin /usr/bin
   echo "Fixing BSD done" 
fi

echo "Cleaning Installer Caches and Temp"

rm -R /var/mobile/Library/Caches/Installer
rm -R /var/mobile/Library/Installer/Temp

echo "Fixing Installer permissions..."

chmod -R 755 /Applications/Installer.app
chown -R root:wheel /Applications/Installer.app
chmod 6755 /Applications/Installer.app/Installer

echo "Completed"